Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.svg
Enum OdfStrokeLinecapType

    java.lang.Object
      java.lang.Enum<OdfStrokeLinecapType>
          org.odftoolkit.odfdom.dom.type.svg.OdfStrokeLinecapType

All Implemented Interfaces:
  Serializable, Comparable<OdfStrokeLinecapType>

    public enum OdfStrokeLinecapType

extends Enum<OdfStrokeLinecapType>

DOM implementation of OpenDocument attribute svg:stroke-linecap.

Enum Constant Summary
`BUTT`
`ROUND`
`SQUARE`

Method Summary
`static OdfStrokeLinecapType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfStrokeLinecapType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfStrokeLinecapType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfStrokeLinecapType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SQUARE

    public static final OdfStrokeLinecapType SQUARE

### ROUND

    public static final OdfStrokeLinecapType ROUND

### BUTT

    public static final OdfStrokeLinecapType BUTT

Method Detail

### values

    public static OdfStrokeLinecapType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfStrokeLinecapType c : OdfStrokeLinecapType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfStrokeLinecapType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfStrokeLinecapType>`
  Returns:
    return the name of OdfStrokeLinecapType

### toString

    public static String toString(OdfStrokeLinecapType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfStrokeLinecapType, see svg:stroke-linecap
  Returns:
    return the name of OdfStrokeLinecapType

### enumValueOf

    public static OdfStrokeLinecapType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfStrokeLinecapType
  Returns:
    return the constant of OdfStrokeLinecapType, see svg:stroke-linecap

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.